## cryptsetup 2.0.2

=== misc/luks2_keyslot_example/Makefile ===
TARGET=keyslot_test
CFLAGS=-O0 -g -Wall -D_GNU_SOURCE -I ../../lib/
LDLIBS=-ljson-c -luuid -lgcrypt -ldevmapper -lpthread -lssh
CC=gcc

TARGET2=keyslot_test_remote_pass
TARGET4=keyslot_add_by_key

SOURCES=keyslot_test.c
OBJECTS=$(SOURCES:.c=.o)
SOURCES2=keyslot_test_remote_pass.c
OBJECTS2=$(SOURCES2:.c=.o)
SOURCES4=keyslot_add_by_key.c
OBJECTS4=$(SOURCES4:.c=.o)

all: $(TARGET) $(TARGET2) $(TARGET4)

$(TARGET): $(OBJECTS) ../../.libs/libcryptsetup.a
	$(CC) -o $@ $^ $(LDLIBS)

$(TARGET2): $(OBJECTS2) ../../.libs/libcryptsetup.a
	$(CC) -o $@ $^ $(LDLIBS)

$(TARGET4): $(OBJECTS4) ../../.libs/libcryptsetup.a
	$(CC) -o $@ $^ $(LDLIBS)

clean:
	rm -f *.o *~ core $(TARGET) $(TARGET2) $(TARGET4)

.PHONY: clean

## cryptsetup 1.0.7-12maemo0

=== debian/changelog ===
cryptsetup (2:1.0.7-12maemo0) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Mon, 24 Sep 2012 17:20:18 +0200

cryptsetup (1.0.7-12) unstable; urgency=low

  * Fixes: NB#229944 - Packages from cryptsetup are missing debug symbols

 -- Tomi Suviola <tomi.suviola@nokia.com>  Thu, 10 Mar 2010 15:05:17 +0200

cryptsetup (1.0.7-11) unstable; urgency=low

  * Fixes: NB#203239 - signond locks 16MB of RAM (whole process) 

 -- Tomi Suviola <tomi.suviola@nokia.com>  Fri, 3 Dec 2010 11:35:17 +0200

cryptsetup (1.0.7-10) unstable; urgency=low

  * Fixes: NB#188553 - cryptsetup: add autoconf to build-deps.

 -- Tomi Suviola <tomi.suviola@nokia.com>  Wed, 3 Nov 2010 14:15:17 +0200

cryptsetup (1.0.7-9) unstable; urgency=low

  * Fixed the removal of LUKS header keys functionality.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Tue, 19 Oct 2010 16:15:17 +0200

cryptsetup (1.0.7-8) unstable; urgency=low

  * C++ compatible code.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Thu, 01 Apr 2010 15:07:17 +0200

cryptsetup (1.0.7-7) unstable; urgency=low

  * Change API to enable possibility to provide key material through the API.

 -- Jussi Laako <jussi.laako@nokia.com>  Fri, 26 Feb 2010 15:07:17 +0200

cryptsetup (1.0.7-6) unstable; urgency=low

  * Fixes: 156891 - cryptsetup fails to build under the Platform SDK (SB2)

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Tue, 23 Feb 2010 01:45:00 +0200

cryptsetup (1.0.7-5) unstable; urgency=low

  * Add support for hashing functions provided by OpenSSL

 -- Jussi Laako <jussi.laako@nokia.com>  Wed, 9 Dec 2009 18:15:50 +0200

cryptsetup (1.0.7-4) unstable; urgency=low

  * Added cryptsetup binary package. Feat: Will be used for creation of secure swap and specific boot scripts.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Mon, 23 Nov 2009 14:30:17 +0300

cryptsetup (1.0.7-3) unstable; urgency=low

  * Fixes: NB#143010 - cryptsetup-1.0.7 fails to build under the Platform SDK (SB2), was reopened.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Mon, 23 Nov 2009 14:30:17 +0300

cryptsetup (1.0.7-2) unstable; urgency=low

  * Initial release 

  * Fixes: NB#143010 - cryptsetup-1.0.7 fails to build under the Platform SDK (SB2).

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Mon, 10 Aug 2009 14:26:17 +0300

=== debian/control ===
Source: cryptsetup
Priority: extra
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>
Build-Depends: debhelper (>= 5), autotools-dev, autoconf, automake1.9, autopoint | gettext ( << 0.18 ), pkg-config (>= 0.22), libdevicemapper0-dev (>= 2.02.50), uuid-dev, libpopt-dev (>= 1.7), libssl-dev (>= 0.9.8), maemo-optify
Standards-Version: 3.7.2
Section: libs

Package: libcryptsetup0-dev
Section: libdevel
Priority: important
Architecture: any
Depends: libcryptsetup0 (= ${Source-Version}), libpopt-dev (>= 1.7)
Replaces: cryptsetup (<< 1.0.7)
Description: Cryptsetup development package.

Package: libcryptsetup0
Section: libs
Priority: important
Architecture: any
Depends: libdevicemapper0 (>= 2.02.50), libssl0.9.8, libuuid1, libpopt0 (>= 1.7), ${shlibs:Depends}, ${misc:Depends}
Replaces: cryptsetup (<< 1.0.7)
Description: Cryptsetup library package.

Package: cryptsetup
Section: admin
Priority: important
Architecture: any
Depends: libcryptsetup0 (= ${Source-Version}), libdevicemapper0 (>= 2.02.50), libuuid1, libpopt0 (>= 1.7), ${shlibs:Depends}, ${misc:Depends}
Description: Cryptsetup binary package.

Package: libcryptsetup0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcryptsetup0 (= ${binary:Version})
Description: Libcryptsetup0 debug symbols

Package: cryptsetup-dbg
Section: debug
Priority: extra
Architecture: any
Depends: cryptsetup (= ${binary:Version})
Description: cryptsetup debug symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure.in
	autoreconf -f -i

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --enable-libdevmapper --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
#	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip -pcryptsetup --dbg-package=cryptsetup-dbg
	dh_strip -plibcryptsetup0 --dbg-package=libcryptsetup0-dbg
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cryptsetup 1.1.2

=== debian/changelog ===
cryptsetup (2:1.1.2-1ubuntu1.1) maverick-proposed; urgency=low

  * debian/initramfs/cryptroot-hook: add clearer warning, when line is not
    found in /etc/crypttab (LP: #332950)

 -- Daniel Hahler <ubuntu@thequod.de>  Tue, 12 Oct 2010 17:18:10 +0300

cryptsetup (2:1.1.2-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #594365).  Remaining changes:
    - debian/control:
      + Bump initramfs-tools Suggests to Depends: so system is not
        potentially rendered unbootable.
      + Depend on plymouth.   
    - Add debian/cryptdisks-{enable,udev}.upstart.
    - debian/cryptdisks.functions:
      + new function, crypttab_start_one_disk, to look for the named source
        device in /etc/crypttab (by device name, UUID, or label) and start it
        if configured to do so
      + wrap the call to /lib/cryptsetup/askpass with watershed, to make sure
        we only ever have one of these running at a time; otherwise multiple
        invocations could steal each other's input and/or write over each
        other's output
      + initially create the device under a temporary name and rename it only
        at the end using 'dmsetup rename', to ensure that upstart/mountall
        doesn't see our device before it's ready to go.
      + do_tmp should mount under /var/run/cryptsetup for changing the
        permissions of the filesystem root, not directly on /tmp, since
        mounting on /tmp a) is racy, b) confuses mountall something fierce.
      + when called by cryptdisks-enable, check that we don't already have a
        corresponding cryptdisks-udev job running (probably waiting for a
        passphrase); if there is, wait until it's finished before continuing.
    - debian/cryptdisks{,-early}.init: Make the 'start' action of the init
      script a no-op, this should be handled entirely by the upstart job;
      and fix the LSB header to not declare this should be started in
      runlevel 'S'
    - debian/cryptsetup.postinst: Remove any symlinks from /etc/rcS.d on
      upgrade. 
    - debian/rules: Do not install start symlinks for init scripts, and
      install debian/cryptdisks-{enable,udev}.upstart scripts.
    - Add debian/cryptsetup.apport: Apport package hook. Install in
      debian/rules and create dir in debian/cryptsetup.dirs.
    - debian/rules: link dynamically against libgcrypt and libgpg-error.
    - debian/cryptsetup.postrm: call update-initramfs on package removal.
  * Dropped changes, merged/superseded in Debian:
    - Add ext4 support to passdev.
    - cryptroot-hook: don't call copy_modules_dir with empty arguments when
      archcrypto isn't found
    - Set USPLASH=y and FRAMEBUFFER=y in the hook config to pull plymouth into
      the initramfs.
    - change interaction to use plymouth directly if present, and if not, to
      fall back to /lib/cryptsetup/askpass as before
    - cryptdisks.functions: replace 'echo -e' bashism with 'printf'.
    - debian/initramfs/cryptroot-script: if plymouth is present in the
      initramfs, use this directly, bypassing the cryptsetup askpass script
    - debian/initramfs/cryptroot-hook: Properly anchor our regexps when
      grepping /etc/crypttab so that we don't incorrectly match device names
      that are substrings of one another.
    - debian/initramfs/cryptroot-script: Don't leak /conf/conf.d/cryptroot
      file descriptor to subprocesses.
    - Fix grammar error in debian/initramfs/cryptroot-script
      ("setup" -> "set up")
    - debian/initramfs/cryptroot-script: Fix this to work with current
      initramfs-tools:
      + Source /scripts/functions after checking for prerequisites.
      + prereqs(): Do not assume we are running within initramfs, and
        calculate relative path correctly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Jun 2010 21:47:28 -0700

cryptsetup (2:1.1.2-1) unstable; urgency=low

  * new upstream release, changes include:
    - Fix luksFormat/luksOpen reading passphrase from stdin and "-" keyfile.
      (closes: #583397)
    - Add verbose log level and move unlocking message there.
    - Remove device even if underlying device disappeared (remove, luksClose).
      (closes: #554600, #574126)
    - Fix (deprecated) reload device command to accept new device argument.
  * merged from ubuntu:
    - if plymouth is present in the initramfs, use this directly, bypassing
      the cryptsetup askpass script
    - start usplash in initramfs, since we need it for fancy passphrase input
    - Set FRAMEBUFFER=y in cryptroot-conf, to pull plymouth into the initramfs
    - debian/initramfs/cryptroot-hook: Properly anchor our regexps when 
      grepping /etc/crypttab so that we don't incorrectly match device names
      that are substrings of one another.
    - debian/initramfs/cryptroot-script: Don't leak /conf/conf.d/cryptroot
      file descriptor to subprocesses.
  * sync list of supported filesystems in passdev.c and cryptpassdev-hook
  * fix debian/watch file to work with updated code.google.com download page
  * stop building and shipping static libs (closes: #583387, #583471)
  * improve documentation on (pre)checks in manpage. (closes: #583568, #583567)
  * remove xfs and ext2 check scripts documentation from crypttab manpage,
    blkid script can be used. thanks Christoph Anton Mitterer (closes: #583570)

 -- Jonas Meurer <mejo@debian.org>  Tue, 01 Jun 2010 15:37:50 +0200

cryptsetup (2:1.1.1-1) unstable; urgency=low

  * new upstream release, changes include:
    - detects and uses device-mapper udev support if available
    - fix luksOpen reading of passphrase on stdin if "-" keyfile specified
    - fix isLuks to initialise crypto backend (closes: #578979)
    - fix luksClose operation for stacked DM devices
  * remove all patches, they have all been merged upstream
  * redirect output of copy_exec in add_device() from initramfs cryptroot
    hook to stderr. fixes verbose run of mkinitramfs. (closes: #574163)


=== debian/control ===
Source: cryptsetup
Section: admin
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
Uploaders: Jonas Meurer <mejo@debian.org>
Build-Depends: libgcrypt11-dev, libdevmapper-dev (>= 2:1.02.24-4), libpopt-dev, uuid-dev, libselinux1-dev, libsepol1-dev, libtool (>= 2.2), autoconf, automake, pkg-config, autopoint, gettext, debhelper (>= 6.0.7~), xsltproc, docbook-xml, docbook-xsl (>= 1.74.3+dfsg)
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/cryptsetup/
X-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-cryptsetup/cryptsetup/trunk
X-Debian-Vcs-Svn: svn://svn.debian.org/svn/pkg-cryptsetup/cryptsetup/trunk
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cryptsetup/ubuntu

Package: cryptsetup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dmsetup, initramfs-tools (>= 0.91) | linux-initramfs-tool, plymouth
Suggests: udev, busybox, dosfstools
Conflicts: cryptsetup-luks (<= 1.0.1-8), hashalot (<= 0.3-1)
Replaces: cryptsetup-luks (<= 1.0.1-8)
Description: configures encrypted block devices
 Cryptsetup provides a command-line interface for configuring encrypted
 devices. This is done using the Linux kernel device mapper target
 dm-crypt. This version of cryptsetup has integrated support for LUKS.
 .
 cryptsetup is backwards compatible with the on-disk format of cryptoloop,
 but also supports more secure formats. This package includes support for
 automatically configuring encrypted devices at boot time via the config
 file /etc/crypttab. Additional features are cryptoroot support through
 initramfs-tools and several supported ways to read a passphrase or key.

Package: cryptsetup-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, dmsetup-udeb
Description: configures encrypted block devices
 Cryptsetup provides a command-line interface for configuring encrypted
 devices. This is done using the Linux kernel device mapper target
 dm-crypt. This version of cryptsetup has integrated support for LUKS.
 .
 cryptsetup is backwards compatible with the on-disk format of cryptoloop,
 but also supports more secure formats. This package includes support for
 automatically configuring encrypted devices at boot time via the config
 file /etc/crypttab. Additional features are cryptoroot support through
 initramfs-tools and several supported ways to read a passphrase or key.

Package: libcryptsetup1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libcryptsetup shared library
 Cryptsetup provides a command-line interface for configuring encrypted
 devices. This is done using the Linux kernel device mapper target
 dm-crypt. This version of cryptsetup has integrated support for LUKS.
 .
 This package provides the libcryptsetup shared library.

Package: libcryptsetup-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcryptsetup1 (= ${binary:Version})
Description: libcryptsetup development files
 Cryptsetup provides a command-line interface for configuring encrypted
 devices. This is done using the Linux kernel device mapper target
 dm-crypt. This version of cryptsetup has integrated support for LUKS.
 .
 This package provides the libcryptsetup development files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_VERSION := $(strip $(shell LC_ALL=C dpkg-parsechangelog          |          \
                               egrep '^Version:' | head -n1 | cut -f2 -d ' '    ))
DEB_DATE    := $(strip $(shell LC_ALL=C dpkg-parsechangelog          |          \
                               egrep '^Date:'    | head -n1 | cut -f2- -d ' ' | \
                               LC_ALL=C date --file=- +%F                       ))

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	find -xtype f ! -name manifest > manifest
	autoreconf --force --install
	CFLAGS="$(CFLAGS)" ./configure $(confflags) \
		--prefix=/usr \
		--sbindir=/sbin \
		--mandir=/usr/share/man \
		--enable-shared
		#--enable-static
	find -xtype f > manifest.new
	diff manifest manifest.new | grep '>' | cut -b3- > config.mess
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	sed 's/VERSION/$(DEB_VERSION)/;s/DATE/$(DEB_DATE)/' \
		debian/doc/variables.xml.in > debian/doc/variables.xml
	xsltproc --nonet --xinclude -o debian/doc/ \
		/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
		debian/doc/manpages.xml
	pod2man --section=8 --center="Administrative commands" --release="" debian/scripts/luksformat \
		debian/luksformat.8
	$(MAKE)
	# link dynamically, better to depend on libraries in /usr for supportability
	gcc lib/.libs/*.o src/*.o luks/.libs/*.o -o src/cryptsetup.static \
		-lpopt -ldevmapper -luuid -lgcrypt -lgpg-error
	gcc -Wall -pedantic -std=c99 debian/askpass.c -o debian/askpass
	gcc -Wall -pedantic -std=c99 debian/passdev.c -o debian/scripts/passdev
	touch $@

clean:
	dh_testdir
	dh_testroot
	if test -f Makefile; then $(MAKE) clean; fi
	if test -f config.mess; then rm -f `cat config.mess`; fi
	rm -f debian/luksformat.8
	rm -f debian/doc/*.[0-9] debian/doc/variables.xml
	rm -f debian/scripts/passdev
	rm -f debian/askpass
	rm -f config.mess
	rm -rf autom4te.cache 
	rm -f src/cryptsetup.static
	dh_clean configure-stamp build-stamp install-stamp

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	mkdir -p $(CURDIR)/debian/cryptsetup-udeb/
	$(MAKE) DESTDIR=$(CURDIR)/debian/cryptsetup install
	cp src/cryptsetup.static $(CURDIR)/debian/cryptsetup/sbin/cryptsetup

	# Copy library files to library packages
	#cp -a $(CURDIR)/debian/cryptsetup/usr/lib/libcryptsetup.la \
	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
	#cp -a $(CURDIR)/debian/cryptsetup/usr/lib/libcryptsetup.a \
	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
	cp -a $(CURDIR)/debian/cryptsetup/usr/lib/libcryptsetup.so \
		$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
	cp -a $(CURDIR)/debian/cryptsetup/usr/lib/pkgconfig/libcryptsetup.pc \
		$(CURDIR)/debian/libcryptsetup-dev/usr/lib/pkgconfig/
	cp -a $(CURDIR)/debian/cryptsetup/usr/include/libcryptsetup.h \
		$(CURDIR)/debian/libcryptsetup-dev/usr/include/
	cp -a $(CURDIR)/debian/cryptsetup/usr/lib/libcryptsetup.so.1* \
		$(CURDIR)/debian/libcryptsetup1/usr/lib/

	# Remove libraries from cryptsetup package, they're shiped in seperate library packags
	rm -rf $(CURDIR)/debian/cryptsetup/usr/include
	rm -rf $(CURDIR)/debian/cryptsetup/usr/lib

	install -m 0644 debian/cryptdisks.functions $(CURDIR)/debian/cryptsetup/lib/cryptsetup/
	install -m 0755 debian/checks/* $(CURDIR)/debian/cryptsetup/lib/cryptsetup/checks/
	install -m 0755 debian/scripts/luksformat $(CURDIR)/debian/cryptsetup/usr/sbin/
	install -m 0755 debian/scripts/cryptdisks_start $(CURDIR)/debian/cryptsetup/usr/sbin/
	install -m 0755 debian/scripts/cryptdisks_stop $(CURDIR)/debian/cryptsetup/usr/sbin/
	install -m 0755 debian/scripts/decrypt_* $(CURDIR)/debian/cryptsetup/lib/cryptsetup/scripts/
	install -m 0755 debian/scripts/passdev $(CURDIR)/debian/cryptsetup/lib/cryptsetup/scripts/
	install -m 0755 debian/askpass $(CURDIR)/debian/cryptsetup/lib/cryptsetup/
	install -m 0644 debian/cryptsetup.apport $(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks/cryptsetup.py
	install -m 0755 debian/initramfs/cryptgnupg-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptgnupg
	install -m 0755 debian/initramfs/cryptpassdev-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptpassdev
	install -m 0755 debian/initramfs/cryptopensc-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptopensc
	install -m 0755 debian/initramfs/cryptopensc-script-local-bottom \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/scripts/local-bottom/cryptopensc
	install -m 0755 debian/initramfs/cryptopensc-script-local-top \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/scripts/local-top/cryptopensc
	install -m 0755 debian/initramfs/cryptopenct-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptopenct
	install -m 0755 debian/initramfs/cryptroot-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptroot
	install -m 0755 debian/initramfs/cryptroot-script \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/scripts/local-top/cryptroot
	install -m 0644 debian/initramfs/cryptroot-conf \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/conf-hooks.d/cryptsetup

	install -m 0644 debian/cryptsetup.bash_completion \
		$(CURDIR)/debian/cryptsetup/etc/bash_completion.d/cryptsetup
	install -m 0755 debian/cryptsetup.reportbug-script \
		$(CURDIR)/debian/cryptsetup/usr/share/bug/cryptsetup
	touch $@

binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a debian/scripts/gen-ssl-key
	dh_installinit -a --no-start --name=cryptdisks-early --update-rcd-params="start 59 0 6 ."
	dh_installinit -a --no-start --name=cryptdisks --update-rcd-params="start 48 0 6 ."
	dh_installinit -a --no-start --name=cryptdisks-enable --upstart-only
	dh_installinit -a --no-start --name=cryptdisks-udev --upstart-only
	dh_installman -a debian/doc/crypttab.5 debian/doc/cryptdisks_start.8 debian/doc/cryptdisks_stop.8 debian/luksformat.8
	# Copy relevant parts to cryptsetup-udeb package
	cp -a $(CURDIR)/debian/cryptsetup/etc $(CURDIR)/debian/cryptsetup-udeb/
	cp -a $(CURDIR)/debian/cryptsetup/lib $(CURDIR)/debian/cryptsetup-udeb/
	cp -a $(CURDIR)/debian/cryptsetup/sbin $(CURDIR)/debian/cryptsetup-udeb/
	# Remove bash-completion script from cryptsetup-ueb package
	rm -r $(CURDIR)/debian/cryptsetup-udeb/etc/bash_completion.d
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_installdeb -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: configure build clean install binary-indep binary-arch binary

## cryptsetup 1.1.3

=== debian/changelog ===
cryptsetup (2:1.1.3-4ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #682177), remaining changes:
    - debian/control:
      + Bump initramfs-tools Suggests to Depends: so system is not
        potentially rendered unbootable.
      + Depend on plymouth.
    - Add debian/cryptdisks-{enable,udev}.upstart.
    - debian/cryptdisks.functions:
      + new function, crypttab_start_one_disk, to look for the named source
        device in /etc/crypttab (by device name, UUID, or label) and start it
        if configured to do so
      + wrap the call to /lib/cryptsetup/askpass with watershed, to make sure
        we only ever have one of these running at a time; otherwise multiple
        invocations could steal each other's input and/or write over each
        other's output
      + when called by cryptdisks-enable, check that we don't already have a
        corresponding cryptdisks-udev job running (probably waiting for a
        passphrase); if there is, wait until it's finished before continuing.
    - debian/cryptdisks{,-early}.init: Make the 'start' action of the init
      script a no-op, this should be handled entirely by the upstart job;
      and fix the LSB header to not declare this should be started in
      runlevel 'S'
    - debian/cryptsetup.postinst: Remove any symlinks from /etc/rcS.d on
      upgrade.
    - debian/rules: 
      + Do not install start symlinks for init scripts, and
        install debian/cryptdisks-{enable,udev}.upstart scripts.
      + link dynamically against libgcrypt and libgpg-error.
    - Add debian/cryptsetup.apport: Apport package hook. Install in
      debian/rules and create dir in debian/cryptsetup.dirs.
    - debian/cryptsetup.postrm: call update-initramfs on package removal.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sat, 27 Nov 2010 17:37:43 +0100

cryptsetup (2:1.1.3-4) unstable; urgency=high

  * bump standards-version to 3.9.1, no changes required
  * add patches/01_manpage_units: mention units (512b sectors) for -o option
    in man page. (closes: #584174)
  * move cryptdisks_st* scripts from /usr/sbin to /sbin, add symlinks for
    compatibility reasons. thanks to Mario 'BitKoenig' Holbe. (closes: #589800)
  * add decrypt_keyctl keyscript and initramfs hook from Michael Gebetsroither,
    which supports to cache a passphrase for later use. (closes: #563961)
  * invoke /sbin/lvm with full path in cryptroot initramfs script. thanks to
    Bernd Zeimetz. (closes: #597648)
  * print out a warning at initramfs cryptroot hook in case that detection of
    canonical device failed. (closes: #594092)
  * add manpage fixes, thanks to Stephen Gildea for patch. (closes: #598237)
  * fix depreciated ext2 wrapper checkscript to succeed for ext2, ext3, ext4
    and ext4dev filesystems. (closes: #595331)
  * again remove duplicates from debian/NEWS.
  * truncate trailing spaces for some variables at initramfs cryptroot hook.
  * remove volume group -guessing magic from initramfs scripts and hooks,
    instead activate all available lvm volume groups. thanks to Christoph
    Anton Mitterer for the suggestion. (closes: #554506, #591626)
  * remove /etc/bash_completion.d from debian/cryptsetup.dirs
  * set urgency=high as this upload fixes two release-critical bugs.

 -- Jonas Meurer <mejo@debian.org>  Thu, 04 Nov 2010 20:36:45 +0100

cryptsetup (2:1.1.3-3) unstable; urgency=low

  * fix usage of new variable $DEFAULT_LOUD, and some cosmetical changes.
    thanks to Mario 'BitKoenig' Holbe. (closes: #589029)

 -- Jonas Meurer <mejo@debian.org>  Thu, 22 Jul 2010 12:56:01 +0200

cryptsetup (2:1.1.3-2) unstable; urgency=low

  * introduce new $INITSTATE 'manual' for cryptdisks_st* scripts. that way,
    noauto devices are processed again by cryptdisks_st* scripts.
    (closes: #588697, #588698, #589153, #589798)
  * introduce new variable $DEFAULT_LOUD. now the 'loud' option in crypttab
    affects only the device in question. thanks to Mario 'BitKoenig' Holbe.
  * introduce new crypttab option 'quiet' which overwrites and unsets the
    'loud' option. thanks to Mario 'BitKoenig' Holbe. (closes: #589029)

 -- Jonas Meurer <mejo@debian.org>  Wed, 21 Jul 2010 10:42:49 +0200

cryptsetup (2:1.1.3-1) unstable; urgency=low

  * new upstream release:
    - fix device alignment ioctl calls parameters for archs like ppc64.
    - fix activate_by_* API calls to handle NULL device name as documented
    - fix udev support for old libdevmapper with not compatible definition 
  * fix rm_lo_setup() in cryptdisks.functions for failed device setup. thanks
    to Roger Pettersson. (closes: #581712)
  * add X-Stop-After headers to cryptdisks(-early) initscripts. this fixes
    shutdown process for system without encrypted rootfs at least. thanks to
    Alfredo Finelli. (closes: #575652)
  * more merges from ubuntu, thanks to and Steve Langasek (closes: #575024):
    - debian/cryptdisk.functions: initially create the device under a temporary
      name and rename it only at the end using 'dmsetup rename', to ensure that
      upstart/mountall doesn't see our device before it's ready to go.
      LP: #475936.
    - cryptdisks.functions: do_tmp should mount under /var/run/cryptsetup for
      changing the permissions of the filesystem root, not directly on /tmp,
      since mounting on /tmp a) is racy, b) confuses mountall something fierce.
      LP: #475936.
  * fix manpage checkscripts documentation. clarify that both cryptdisks and
    cryptroot invoke checkscripts. thanks Christoph Anton Mitterer.
  * remove quotes from $KEYSCRIPT invokation, thanks Alexandre Rossi.
    (closes: #585099)
  * fix support for commandline options to mkfs in luksformat. thanks to Eduard
    Bloch again for bugreport and patch. (closes: #585787)
  * remove duplicates from debian/NEWS, thanks Steve Langasek (closes: 586019)
  * improve documentation on environment variables in cryptdisks.default and
    crypttab manpage. thanks Christoph Anton Mitterer. (closes: #585664)


=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
 Uploaders: Jonas Meurer <mejo@debian.org>
 Build-Depends: libgcrypt11-dev, libdevmapper-dev (>= 2:1.02.24-4), libpopt-dev, uuid-dev, libselinux1-dev, libsepol1-dev, libtool (>= 2.2), autoconf, automake, pkg-config, autopoint, gettext, debhelper (>= 6.0.7~), xsltproc, docbook-xml, docbook-xsl (>= 1.74.3+dfsg)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/cryptsetup/
 X-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-cryptsetup/cryptsetup/trunk
 X-Debian-Vcs-Svn: svn://svn.debian.org/svn/pkg-cryptsetup/cryptsetup/trunk
@@ -15,8 +15,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dmsetup, initramfs-tools (>= 0.91) | linux-initramfs-tool, plymouth
 Suggests: udev, busybox, dosfstools
-Conflicts: cryptsetup-luks (<= 1.0.1-8), hashalot (<= 0.3-1)
-Replaces: cryptsetup-luks (<= 1.0.1-8)
+Provides: cryptsetup-luks
+Conflicts: cryptsetup-luks
+Replaces: cryptsetup-luks, hashalot (<< 0.3-2)
+Breaks: hashalot (<< 0.3-2)
 Description: configures encrypted block devices
  Cryptsetup provides a command-line interface for configuring encrypted
  devices. This is done using the Linux kernel device mapper target

=== debian/rules ===
--- 
+++ 
@@ -113,8 +113,10 @@
 	install -m 0644 debian/cryptdisks.functions $(CURDIR)/debian/cryptsetup/lib/cryptsetup/
 	install -m 0755 debian/checks/* $(CURDIR)/debian/cryptsetup/lib/cryptsetup/checks/
 	install -m 0755 debian/scripts/luksformat $(CURDIR)/debian/cryptsetup/usr/sbin/
-	install -m 0755 debian/scripts/cryptdisks_start $(CURDIR)/debian/cryptsetup/usr/sbin/
-	install -m 0755 debian/scripts/cryptdisks_stop $(CURDIR)/debian/cryptsetup/usr/sbin/
+	install -m 0755 debian/scripts/cryptdisks_start $(CURDIR)/debian/cryptsetup/sbin/
+	install -m 0755 debian/scripts/cryptdisks_stop $(CURDIR)/debian/cryptsetup/sbin/
+	dh_link -pcryptsetup sbin/cryptdisks_start usr/sbin/cryptdisks_start
+	dh_link -pcryptsetup sbin/cryptdisks_stop usr/sbin/cryptdisks_stop
 	install -m 0755 debian/scripts/decrypt_* $(CURDIR)/debian/cryptsetup/lib/cryptsetup/scripts/
 	install -m 0755 debian/scripts/passdev $(CURDIR)/debian/cryptsetup/lib/cryptsetup/scripts/
 	install -m 0755 debian/askpass $(CURDIR)/debian/cryptsetup/lib/cryptsetup/
@@ -138,8 +140,6 @@
 	install -m 0644 debian/initramfs/cryptroot-conf \
 		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/conf-hooks.d/cryptsetup
 
-	install -m 0644 debian/cryptsetup.bash_completion \
-		$(CURDIR)/debian/cryptsetup/etc/bash_completion.d/cryptsetup
 	install -m 0755 debian/cryptsetup.reportbug-script \
 		$(CURDIR)/debian/cryptsetup/usr/share/bug/cryptsetup
 	touch $@
@@ -161,9 +161,8 @@
 	# Copy relevant parts to cryptsetup-udeb package
 	cp -a $(CURDIR)/debian/cryptsetup/etc $(CURDIR)/debian/cryptsetup-udeb/
 	cp -a $(CURDIR)/debian/cryptsetup/lib $(CURDIR)/debian/cryptsetup-udeb/
-	cp -a $(CURDIR)/debian/cryptsetup/sbin $(CURDIR)/debian/cryptsetup-udeb/
-	# Remove bash-completion script from cryptsetup-ueb package
-	rm -r $(CURDIR)/debian/cryptsetup-udeb/etc/bash_completion.d
+	mkdir $(CURDIR)/debian/cryptsetup-udeb/sbin/
+	cp -a $(CURDIR)/debian/cryptsetup/sbin/cryptsetup $(CURDIR)/debian/cryptsetup-udeb/sbin/
 	dh_lintian -a
 	dh_compress -a
 	dh_fixperms -a
